Report Descriptions and Configuration
Prev | Chapter 15. Proxy Reports | Next

## Report Descriptions and Configuration

### Bytes by Cache Result

ID: `bytes-by-cache_result`

Chart: bars

This report shows the number of bytes transferred for each cache result. This gives an idea of how effective is the cache.

This report doesn't have any parameters.

### Bytes by Object's Source

ID: `bytes-by-result_src_code`

Chart: bars

This report shows the number of bytes transferred from each source (Internet, Parent or sibling cache, etc.). This report is useful to analyze the performance of your array.

This report doesn't have any parameters.

### Bytes Transferred By Period Proxy Report

ID: `bytes-by-period`

Chart: histogram

This report shows the number of bytes transferred by a user-configurable time period.

Parameters

`period`

  This parameter controls the time period which is use to aggregate the records.

  Defaults to `1d`.

### Bytes Transferred By Timeslot Proxy Report

ID: `bytes-by-timeslot`

Chart: histogram

This report shows the number of bytes transferred by user-configurable timeslot (hours of the day, days of the week, etc.). This report is useful to spot the most used period of the day for example.

Parameters

`timeslot`

  This parameter controls the unit of time used to aggregate the records.

  Defaults to `1h`.

### Client Summary Proxy Report

ID: `clients-summary`

Chart: None

This report shows some global stats about the client hosts.

This report doesn't have any parameters.

### Requests Summary Proxy Report

ID: `requests-summary`

Chart: None

This report shows some global stats about proxy requests.

This report doesn't have any parameters.

### Requests by Cache Result

ID: `requests-by-cache_result`

Chart: bars

This report shows the number of requests for each cache result. This gives an idea of how effective is the cache.

This report doesn't have any parameters.

### Requests By Period Proxy Report

ID: `requests-by-period`

Chart: histogram

This report shows the number of requests by a user-configurable time period.

Parameters

`period`

  This parameter controls the time period which is use to aggregate the records.

  Defaults to `1d`.

### Requests By Size Proxy Report

ID: `requests-by-size`

Chart: histogram

This report shows the number of requests by size. It shows the number of requests that were between 1k-5k, 5k-10k, etc.

Parameters

`range_size`

  This parameter controls the size of the first range class.

  Defaults to `1k`.

### Number of Requests By Timeslot Proxy Report

ID: `requests-by-timeslot`

Chart: histogram

This report shows the number of requests by user-configurable timeslot (hours of the day, days of the week, etc.).

Parameters

`timeslot`

  This parameter controls the unit of time used to aggregate the records.

  Defaults to `1h`.

### Requests By Request's Time Proxy Report

ID: `requests-by-time`

Chart: histogram

This report shows the number of requests by the time they took to process. It shows the number of requests that took between 0-1s, 1-2s, etc.

Parameters

`range_size`

  This parameter controls the size of the first range class.

  Defaults to `1s`.

### Top Clients by Destinations Proxy Report

ID: `top-clients-by-destinations`

Chart: None

This report lists the most popular destinations along with the clients that accessed them.

Parameters

`clients_to_show`

  This parameter controls the number of clients for each destination to display in the report.

  Defaults to `10`.

`dsts_to_show`

  This parameter controls the number of destinations to display in the report.

  Defaults to `10`.

### Top Destinations by Number of Requests

ID: `top-destinations`

Chart: bars

This report lists most popular sites

Parameters

`dsts_to_show`

  This parameter controls the number of destinations to display in the report.

  Defaults to `10`.

### Top Destinations by Bytes Downloaded

ID: `top-destinations-by-bytes`

Chart: bars

This report lists most popular sites by traffic

Parameters

`dsts_to_show`

  This parameter controls the number of destinations to display in the report.

  Defaults to `10`.

### Top Destinations by Clients

ID: `top-destinations-by-clients`

Chart: None

This report lists most popular sites by clients

Parameters

`dsts_to_show`

  This parameter controls the number of destinations to display in the report.

  Defaults to `10`.

`clients_to_show`

  This parameter controls the number of clients to display in the report.

  Defaults to `10`.

### Top Destinations by Users Proxy Report

ID: `top-destinations-by-users`

Chart: None

This report lists most popular destinations, grouped by users

Parameters

`users_to_show`

  This parameter controls the number of users for each URL to display in the report.

  Defaults to `10`.

`dsts_to_show`

  This parameter controls the number of destinations to display in the report for each user.

  Defaults to `10`.

### Top Users by Destinations Proxy Report

ID: `top-users-by-destinations`

Chart: None

This report lists the most popular destinations along with the users that accessed them.

Parameters

`users_to_show`

  This parameter controls the number of users for each destinations to display in the report.

  Defaults to `10`.

`dsts_to_show`

  This parameter controls the number of destinations to display in the report.

  Defaults to `10`.

### Top MIME types by Transferred Size

ID: `top-types-by-bytes`

Chart: bars

This report lists the MIME types that resulted in the most traffic.

Parameters

`types_to_show`

  This parameter controls the number of MIME types to display in the report.

  Defaults to `10`.

### Top Users by Bytes Proxy Report

ID: `top-users-by-bytes`

Chart: bars

This report lists the users who downloaded biggest volume using the proxy

Parameters

`users_to_show`

  This parameter controls the number of users to display in the report.

  Defaults to `10`.

### Top URLs by Users Proxy Report

ID: `top-urls-by-users`

Chart: None

This report lists most popular URLs, grouped by users

Parameters

`users_to_show`

  This parameter controls the number of users for each URL to display in the report.

  Defaults to `10`.

`urls_to_show`

  This parameter controls the number of URLs to display in the report.

  Defaults to `10`.

### User Summary Proxy Report

ID: `users-summary`

Chart: None

This report shows some global stats about the users.

This report doesn't have any parameters.

Prev | Up | Next
Chapter 15. Proxy Reports | Home | Filter Descriptions and Configuration